Compare commits

...

2 Commits

Author SHA1 Message Date
dbec569339
update create-image.sh to fail early 2023-07-29 14:25:27 +05:30
e23550a13f
update readme 2023-07-29 14:22:46 +05:30
2 changed files with 38 additions and 1 deletions

View File

@ -2,6 +2,24 @@
## Rocky Linux 9 generic ARM64/Aarch64 images
### Extracting the image
You probably downloaded the `Rocky-9-aarch64-minimal-YYYY.MM.DD-HHMMSS.raw.zst` file and are wondering how to extract. Run the following command:
```bash
zst --decompress Rocky-9-aarch64-minimal-YYYY.MM.DD-HHMMSS.raw.zst
```
### Flashing the image
```bash
# flash the extracted image
dd if=Rocky-9-aarch64-minimal-YYYY.MM.DD-HHMMSS.raw of=<device> bs=4M conv=sync status=progress
# flash without extracting the '.zst' file
zstdcat Rocky-9-aarch64-minimal-YYYY.MM.DD-HHMMSS.raw.zst | dd bs=4M conv=sync status=progress of=<device>
```
### SSH
SSH is enabled on port `22`. Logging-in as **`root` is disabled**, but you can login as user `rocky`.
@ -26,6 +44,15 @@ password: <disabled>
There are two repositories that are maintained by Rocky Linux. One repository provides packages that are specific to SIG/AltArch for SBC enablement. Another repository is basically ELRepo + some Rocky stuff. Depending on your needs, this may or may not be a good thing. Please act accordingly.
## Notes for executing the script
Firstly, the prerequisite for running all the commands in the `create-image.sh` script can be installed with the following command:
```bash
# enable EPEL first, because `appliance-tools` is from EPEL
dnf install appliance-tools perl-Digest-SHA zstd
```
## OTHER
**Kickstart syntax reference**: https://docs.fedoraproject.org/en-US/fedora/f36/install-guide/appendixes/Kickstart_Syntax_Reference/

View File

@ -8,7 +8,17 @@ IMAGE_NAME="${APPLIANCE_NAME}-$(TZ='UTC' date +%Y.%m.%d-%H%M%S).raw"
COMPRESSED_IMAGE_NAME="${IMAGE_NAME}.zst"
if [[ ${EUID} -ne 0 ]]; then
>&2 echo "ERROR: Please run this script as root"
>&2 echo "$0: error: Please run this script as root"
exit 1
fi
if ! command -v appliance-creator > /dev/null; then
>&2 echo "$0: error: unable to find command 'appliance-creator'"
exit 1
fi
if ! command -v shasum > /dev/null; then
>&2 echo "$0: error: unable to find command 'shasum'"
exit 1
fi